Object.defineProperty(exports, "__esModule", {
  value: true
});
exports['default'] = getDayPickerPosition;
// import { ANCHOR_LEFT } from '../../constants';

function getDayPickerPosition(parentRect) {
  var horizontalWidth = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  var _parentRect$top = parentRect.top;
  var top = _parentRect$top === undefined ? 0 : _parentRect$top;
  var _parentRect$left = parentRect.left;
  var left = _parentRect$left === undefined ? 0 : _parentRect$left;
  var _parentRect$right = parentRect.right;
  var right = _parentRect$right === undefined ? horizontalWidth : _parentRect$right;
  var _parentRect$height = parentRect.height;
  var height = _parentRect$height === undefined ? 0 : _parentRect$height;

  var windowWidth = typeof window !== 'undefined' && window.innerWidth;
  var topPosition = top + height + 2;

  var leftPosition = left;

  if (left + horizontalWidth > windowWidth) {
    leftPosition = right - horizontalWidth;
  }

  return {
    top: topPosition,
    left: leftPosition
  };
}